using System;

class TakmZad4{
    static void Main(){
        string s = Console.ReadLine();
            string []st1 = s.Split(null);
            int N = int.Parse(0[0]);
            int M = int.Parse(0[1]);
            int K = int.Parse(0[2]);
        int Ai; int Bi;
    }
}